Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234069 - ia64: validate mmap attributes (WB, UC, etc)
Summary: ia64: validate mmap attributes (WB, UC, etc)
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: fedora-ia64
TreeView+ depends on / blocked
 
Reported: 2007-03-26 20:55 UTC by Bjorn Helgaas
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-23 18:01:35 UTC


Attachments (Terms of Use)
backport ioremap_page_range() (deleted)
2007-04-04 15:27 UTC, Bjorn Helgaas
no flags Details | Diff
use same variable names as i386 (deleted)
2007-04-04 15:28 UTC, Bjorn Helgaas
no flags Details | Diff
use ioremap_page_range() to avoid unsupported attributes (deleted)
2007-04-04 15:29 UTC, Bjorn Helgaas
no flags Details | Diff
allow WB mmap of legacy_mem (for option ROMs) (deleted)
2007-04-04 15:29 UTC, Bjorn Helgaas
no flags Details | Diff
fail mmaps that span incompatible attributes (deleted)
2007-04-04 15:30 UTC, Bjorn Helgaas
no flags Details | Diff

Description Bjorn Helgaas 2007-03-26 20:55:07 UTC
ia64 kernel doesn't validate memory attributes (WB, UC, etc) correctly
for mmap of /dev/mem, /sys/.../legacy_mem, and reading /sys/.../rom.

Please incorporate the patches here:

https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=115881

Comment 1 Dave Jones 2007-04-04 04:37:44 UTC
please attach them directly to bugzilla. (Or better yet, get them upstream
before .21?)

Comment 2 Bjorn Helgaas 2007-04-04 15:27:20 UTC
Created attachment 151665 [details]
backport ioremap_page_range()

Tony put these changes in his test tree,so they will go upstream
shortly after 2.6.21.

Apply these in this order:

  ioremap
  ia64-ioremap-align
  ia64-ioremap
  ia64-legacy_mem-wb
  ia64-mmap-validation

Comment 3 Bjorn Helgaas 2007-04-04 15:28:08 UTC
Created attachment 151666 [details]
use same variable names as i386

Comment 4 Bjorn Helgaas 2007-04-04 15:29:05 UTC
Created attachment 151667 [details]
use ioremap_page_range() to avoid unsupported attributes

Comment 5 Bjorn Helgaas 2007-04-04 15:29:39 UTC
Created attachment 151668 [details]
allow WB mmap of legacy_mem (for option ROMs)

Comment 6 Bjorn Helgaas 2007-04-04 15:30:13 UTC
Created attachment 151669 [details]
fail mmaps that span incompatible attributes

Comment 7 Dave Jones 2007-04-04 21:05:14 UTC
Doesn't apply to Linus' latest tree.

+ echo 'Patch #400 (linux-2.6-backport-ioremap-page-range.patch):'
Patch #400 (linux-2.6-backport-ioremap-page-range.patch):
+ patch -p1 -s
1 out of 1 hunk FAILED -- saving rejects to file include/linux/io.h.rej
The next patch would create the file lib/ioremap.c,
which already exists!  Assume -R? [n] 


Looks like these are 2.6.18 patches?

Comment 8 Bjorn Helgaas 2007-04-04 22:50:14 UTC
These are against RHEL5.  What base would you like?

Comment 9 Prarit Bhargava 2007-04-04 23:05:59 UTC
(In reply to comment #8)
> These are against RHEL5.  What base would you like?

Seeing how this is a Fedora bug -- Fedora or upstream :)

P.



Comment 10 Dave Jones 2007-04-05 00:08:32 UTC
Fedora constantly tracks upstream. Right now, it's at 2.6.21rc5-git12 for example.

Comment 11 Bjorn Helgaas 2007-04-10 18:53:14 UTC
OK.  If Fedora tracks upstream closely, I don't think there's any
rush.  I'm happy to wait until Tony pushes them upstream and Fedora
updates to an upstream release that includes them.

I was under the mistaken impression that Fedora would be basically
a RHEL5 kernel with some new patches that might be candidates for
future RHEL5 updates.

If you want to close this as WONTFIX or DEFERRED or whatever, that's
fine with me.  Sorry for the distraction.


Note You need to log in before you can comment on or make changes to this bug.